Subject: Re: bug#33255: 27.0.50; expand-file-name: default directory expanded twice if relative

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Nov 2018 21:26:32 +0200

> From: Glenn Morris <[email-masked]>
> Cc: Paul Eggert <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 20 Nov 2018 14:11:00 -0500
> 
> Eli Zaretskii wrote:
> 
> > I agree that we should discourage relative $HOME, so I added text to
> > the documentation to that effect.
> 
> I really think it would be better not to mention it at all.

Sorry, I disagree.  We should not hide from the users what Emacs does
in such corner cases.  Hiding won't work anyway, because someone
determined enough will find out by reading the code.  We just punish
those who aren't determined enough.